function init(){
	var all;
	var timeline;
	var playedSeconds = 0;
	var prevTime=0;
	var timerID;
	var playSpeed;
	var playedBar;

	mVideo = $("#lecvideo")[0];
	mVideo.addEventListener('loadedmetadata', function(){
		all = Math.round(mVideo.duration);
		timeline = Array.apply(null, {length: all+1}).map(function () {return false });
		
		$("#playedBar")[0].width = all+2;
		pBar = $("#playedBar")[0].getContext('2d');
		pBar.fillStyle = "rgb(0,0,0)";
		pBar.strokeRect(0,0,all,10);
},true);
	
	/*
	playSpeed = $('input:radio[name="playSpeed"]:checked').val();
	mVideo.playbackRate = playSpeed;
	$('input:radio[name="playSpeed"]' ).change(function(){
		mVideo.playbackRate = $(this).val();
	});
	*/
	
	timerID = setInterval( function(){
		var now = Math.floor(mVideo.currentTime);
		moviefile = $("#videofile")[0].innerHTML;
		$.ajax({
			type: "POST",
			url: "log.php",
			data: {
				"time": $.now(),
				"mode": 'checkconnection',
				"moviefile": moviefile,
				"token": $("#token").val(),
				"statement": 'time:'+now,
				"timeline": timeline.join(',')
			},
		}).done(function(data) {
		});
	}, 30*1000);
	mVideo.addEventListener("ended", function(){
		if(playedSeconds >= all-2){
			$('#end').html('Finishing...');
			moviefile = $("#videofile")[0].innerHTML;
			$.ajax({
				type: "POST",
				url: "log.php",
				data: {
					"time": $.now(),
					"mode": 'FinishedWatching',
					"moviefile": moviefile,
					"token": $("#token").val(),
					"statement": '',
					"timeline": timeline.join(',')
				},
			}).done(function(data) {
				clearInterval(timerID);
				$('#finishButton').css('visibility','visible');
				$('#finishTime').val($.now());
			});
		} else {
			$('#end').html('残り'+all-playedSeconds+'s');
			moviefile = $("#videofile")[0].innerHTML;
			$.ajax({
				type: "POST",
				url: "log.php",
				data: {
					"time": $.now(),
					"mode": 'MovieEnd',
					"token": $("#token").val(),
					"moviefile": moviefile,
					"statement": playedSeconds+'s / '+all+'s',
					"timeline": timeline.join(',')
				},
			}).done(function(data) {
			});
		}
	}, true);
	mVideo.addEventListener("play", function(evt){
		var now = Math.floor(mVideo.currentTime);
		moviefile = $("#videofile")[0].innerHTML;
		$.ajax({
			type: "POST",
			url: "log.php",
			data: {
				"time": $.now(),
				"mode": 'StartToPlay',
				"token": $("#token").val(),
				"moviefile": moviefile,
				"statement": 'time:'+now,
				"timeline": timeline.join(',')
			},
		}).done(function(data) {
		});
	}, true);
	mVideo.addEventListener("pause", function(evt){
		var now = Math.floor(mVideo.currentTime);
		moviefile = $("#videofile")[0].innerHTML;
		$.ajax({
			type: "POST",
			url: "log.php",
			data: {
				"time": $.now(),
				"mode": 'Paused',
				"token": $("#token").val(),
				"moviefile": moviefile,
				"statement": 'time:'+now,
				"timeline": timeline.join(',')
			},
		}).done(function(data) {
		});
	}, true);
	mVideo.addEventListener("timeupdate", function(evt){
		/* var now = Math.round(mVideo.currentTime); */
		var now = Math.floor(mVideo.currentTime);
		if(!mVideo.paused){
			$('#now').html(now + 's');
			$('#all').html(all + 's');
			if(timeline[now] === false){
				timeline[now] = true;
				pBar.fillStyle = "rgb(0,0,255)";
				pBar.fillRect(now+1,0,1,10);
				playedSeconds++;
				$('#played').html(Math.round(100*playedSeconds/all) + '%');
			}
			if((prevTime > now) || ((prevTime+1) < now)){
				moviefile = $("#videofile")[0].innerHTML;
				$.ajax({
					type: "POST",
					url: "log.php",
					data: {
						"time": $.now(),
						"mode": 'Skipped',
						"token": $("#token").val(),
						"moviefile": moviefile,
						"statement": 'time:'+now,
						"timeline": timeline.join(',')
					},
				}).done(function(data) {
				});
			}
			prevTime = now;
		} else {
		}
	}, true);
};

/*
function changePlaySpeed(){
	playSpeed = $(':radio[name="playspeed"]:checked').val();
	mVideo.playbackRate = playSpeed;
}
*/

$(function(){
	init();
});

