<?php
$token = $_POST['token'];
$finishTime = $_POST['finishTime'];

$result = $logDB->setFinishedLog($token,$finishTime);
if($result === 1)
    $userInfo = $logDB->getUser($token);
else {
    if($result === false)
        echo "正常に完了の記録ができませんでした (エラーコード: DF-{$token}　このエラーコードを管理者に連絡してください)";
    else if ($result === 0)
        echo "既に視聴完了が記録されています (エラーコード: F-{$token}　問題がある場合は，このエラーコードを管理者に連絡してください)";
    else
        echo "正常に完了の記録ができませんでした (エラーコード: UF-{$token}　このエラーコードを管理者に連絡してください)";

    exit(0);
}
?><!DOCTYPE html>
<html lang="ja">
    <head>
        <meta charset="utf-8">
        <title><?=$stmt['pagetitle']?></title>
    </head>
    <body>
        <h2>視聴完了 (<?=$userInfo['videoName']?>)</h2>
        <table style="border:ridge black 2px">
            <caption>視聴者情報</caption>
            <tr>
                <th><?=$stmt['schoolName']?></th>
                <td><?=htmlspecialchars($userInfo['schoolName'])?></td>
            </tr>
            <tr>
                <th><?=$stmt['className']?></th>
                <td><?=htmlspecialchars($userInfo['className'])?></td>
            </tr>
            <tr>
                <th><?=$stmt['userName']?></th>
                <td><?=htmlspecialchars($userInfo['userName'])?></td>
            </tr>
        </table>
    </body>
</html>
